man(1)

NAME
/time - the Profanity /time command.

DESCRIPTION
Configure time display preferences. Time formats are strings supported by g_date_time_format. See https://developer.gnome.org/glib/stable/glib-GDateTime.html#g-date-time-format for more details. Setting the format to an unsupported string, will display the string. If the format contains spaces, it must be surrounded with double quotes.

SYNOPSIS
/time all|console|chat|muc|config|private|xml set <format>

/time all|console|chat|muc|config|private|xml off

/time statusbar set <format>

/time statusbar off

/time lastactivity set <format>

ARGUMENTS

console set <format>
    Set time format for console window.

console off
    Do not show time in console window.

chat set <format>
    Set time format for chat windows.

chat off
    Do not show time in chat windows.

muc set <format>
    Set time format for chat room windows.

muc off
    Do not show time in chat room windows.

config set <format>
    Set time format for config windows.

config off
    Do not show time in config windows.

private set <format>
    Set time format for private chat windows.

private off
    Do not show time in private chat windows.

xml set <format>
    Set time format for XML console window.

xml off
    Do not show time in XML console window.

statusbar set <format>
    Change time format in statusbar.

statusbar off
    Do not show time in status bar.

lastactivity set <format>
    Change time format for last activity.

all set <format>
    Set time for: console, chat, muc, config, private and xml windows.

all off
    Do not show time for: console, chat, muc, config, private and xml windows.

EXAMPLES
/time console set %H:%M:%S

/time chat set "%d-%m-%y %H:%M:%S"

/time xml off

/time statusbar set %H:%M

/time lastactivity set "%d-%m-%y %H:%M:%S"

/time all set "%d-%m-%y %H:%M:%S"